### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-accordion/ecl-accordion-item.component.ts`

### Metadata

selector | `ecl-accordion-item`
templateUrl | `./ecl-accordion-item.component.html`

### Index

###### Methods
onItemClick
###### Inputs
isExpanded label styleClass
###### Outputs
toggle
###### HostBindings
class

### Constructor

`constructor()`

### Inputs

isExpanded
Type : `boolean`

label
Type : `string`

styleClass
Type : `string`

### Outputs

toggle
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

onItemClick
`onItemClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

# result-matching ""

# No results matching ""